/**
 * Custom UI-Action 'myUserAction1'.
 *
 * Description:
 * Contains 1 String parameter
 */
(function() {
    var actions = shmi.pkg("visuals.session.userActions"); //get reference to userActions object

    /**
     * UI-Action 'myUserAction1' implementation
     *
     * @params {any[]} parameters  configured ui-action parameters
     * ---- Initial parameters, needs to be updated manually when changed ----
     * @param {string} parameters[0]  Label
     *
     */
    actions["myUserAction1"] = function(parameters) {
        shmi.notify(`You called: myUserAction1(${parameters[0]})`);
    };
}());